<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ShelfShare - Book Sharing Platform<</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: rgb(253, 254, 233);
            margin: 0;
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
        .container {
            text-align: center;
        }
        h1 {
            font-size: 36px;
            margin-bottom: 20px;
        }
        .app-links {
            list-style-type: none;
            padding: 0;
        }
        .app-links li {
            margin-bottom: 10px;
        }
        .app-links li a {
            color: rgb(2, 9, 52);
            text-decoration: none;
            font-size: 18px;
            transition: color 0.3s ease;
        }
        .app-links li a:hover {
            color: rgb(255, 154, 1);
        }
        .auth-button, .analytics-button {
            display: inline-block;
            padding: 10px 20px;
            background-color: rgb(255, 154, 1);
            color: white;
            text-decoration: none;
            border-radius: 5px;
            font-size: 18px;
            transition: background-color 0.3s ease;
        }
        .auth-button:hover, .analytics-button:hover {
            background-color: rgb(2, 193, 206);
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Welcome to ShelfShare</h1>
        <ul class="app-links">
            <li><a href="/books-api">Book API</a></li>
            <li><a href="/users-api">User API</a></li>
            <li><a href="/bookexchange-api">BookExchange API</a></li>
            <li><a href="/recommender-api">Recommender API</a></li>
            <!-- Authentication link styled as a button -->
            <li><a href="/auth-api" class="auth-button">Authentication API</a></li>
            <!-- Analytics link styled as a button --> 
            <li><a href="/analytics" class="analytics-button">Analytics</a></li>
        </ul>
    </div>
</body>
</html>
